import { useState } from 'react';
export default function usePropState(state, setState, initialState) {
    const [localState, setLocalState] = useState(initialState);
    return [
        state !== undefined ? state : localState,
        setState !== undefined ? setState : setLocalState,
    ];
}
